﻿using System;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.ChartView;

namespace wpf_ChartView_998876
{
    public class MainViewModel
    {
        public MainViewModel()
        {
            this.Series = new ObservableCollection<SeriesItem>();
            this.InitializeData();
        }

        public ObservableCollection<SeriesItem> Series { get; set; }

        private void InitializeData()
        {
            SeriesItem series = new SeriesItem() { ValueColour = "Red", SeriesType = typeof(PointSeries) };
            series.Data.Add(new DataItem() { Category = "January", Value = 10, });
            series.Data.Add(new DataItem() { Category = "February", Value = 2 });
            series.Data.Add(new DataItem() { Category = "March", Value = 3 });
            series.Data.Add(new DataItem() { Category = "April", Value = 15 });
            this.Series.Add(series);
        }
    } 
}
